<?xml version="1.0" encoding="UTF-8"?>

<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">
<xsd:complexType name = "countryType">
    <xsd:sequence>
        <xsd:element name = "name" type = "xsd:string" maxOccurs = "unbounded"></xsd:element>
        <xsd:element name = "capital" type = "xsd:string"></xsd:element>
    </xsd:sequence>
</xsd:complexType>
        
<xsd:element name = "shoes">
    <xsd:complexType>
        <xsd:sequence>
            <xsd:element name = "shoe" maxOccurs = "unbounded">
                <xsd:complexType>
                    <xsd:sequence>
                        <xsd:element name = "price" maxOccurs = "unbounded">
                            <xsd:complexType>
                                <xsd:sequence>
                                    <xsd:element name = "pounds" type = "xsd:integer"></xsd:element>
                                    <xsd:element name = "pence" type = "xsd:integer"></xsd:element>
                                </xsd:sequence>
                                <xsd:attribute name = "currency" type = "xsd:string"></xsd:attribute>
                                <xsd:attribute name = "xrate" type = "xsd:integer"></xsd:attribute>
                            </xsd:complexType>
                        </xsd:element>
                        <xsd:element name = "country" type = "countryType"  maxOccurs="unbounded"></xsd:element>
                    </xsd:sequence>
                    <xsd:attribute name = "id" type = "xsd:integer"></xsd:attribute>
                </xsd:complexType>
            </xsd:element>
        </xsd:sequence>
    </xsd:complexType>
    <xsd:key name = "uniqueid">
        <xsd:selector xpath=".//shoes/shoe" />
        <xsd:field xpath="@id" />
    </xsd:key>
</xsd:element>
</xsd:schema>